Copyright: Copyright © 1997 RealSoft Development


Access Properties

See Also

Applies To:

TrsSuperEdit

Declarations

property VReal: real

property VSingle: single

property VDouble: double

property VShortint: shortint

property VSmallint: smallint

property VLongint: longint

property VDate: TDateTime

property VTime: TDateTime

Description

These access properties are Runtime and Read-Only  They are provided to retrieve the value of a rsSuperEdit in a specific format, so no conversions are necessary.  To set a value, you must use the Value or Text properties.


Value Property

Text Property


Alignment property

Applies To

TrsSuperEdit

Declaration

property Alignment: TAlignment;

Description

The Alignment property determines how the text will be displayed and edited.  The default for Numeric Values is taRightJustify.  The default for all others is taLeftJustify.


DB Properties
Added Properties:

Field

DataField

DataSource

(Same as Standard TDBEdit Control)


TrsSuperEdit


Decimals property

Applies To

TrsSuperEdit

Declaration

property Decimals: smallint;

Description

The decimals property determines how many decimal places to round the value.  Applies only if RoundValue is true.


Digits property

Applies To

TrsSuperEdit

Declaration

property Digits: smallint;

Description

The digits property determines how many digits to round the value.  Applies only if RoundValue is true.


Epoch property

Applies To

TrsSuperEdit

Declaration

property Epoch: smallint;

Description

The Epoch property was added to handle the year 2000 problem with dates.  All two-digit centuries between 0 and Epoch will be stored as 2000+ the value.  For example, if you set Epoch to 50, and enter 01/01/48, the century will be stored as 2048.  If you were to enter 01/01/75, the century will be stored as 1975.

An alternative to using Epoch is changing Format from foDate to foFullDate, which allows you to enter four digit centuries.


Events
Standard Events

OnChange;

OnClick;

OnDblClick;

OnDragDrop;

OnDragOver;

OnEndDrag;

OnEnter;

OnExit;

OnKeyDown;

OnKeyPress;

OnKeyUp;

OnMouseDown;

OnMouseMove;

OnMouseUp;


Format property

Applies To

TrsSuperEdit

Declaration

property Format : TFormat;

Options

  foText, foReal, foInteger, foDollar, foPercent, foDate, foFullDate, foTime, foMTime, foPhone, foSocial

Description

The Format property determines the type of mask to be applied to the Text.  Numeric formats are right justified by default.  foFullDate is a date that includes a four digit century.  foMTime is a military format time.  foSocial is a US Social Security Number.


LocColor Property

Applies To

TrsSuperEdit

Declaration

property LocColor: TColor;

Description

The LocColor property determines the color of the Locator  the default is clAqua.


Locator Property

Applies To

TrsSuperEdit

Declaration

property Locator: TLocator;  (loNone, loFill)

Description

The locator, when set to loFill will change the background color of the component to LocColor when the user enters the control, and change it back when they exit, hence the name "Locator".


MaxValue property

Applies To

TrsSuperEdit

Declaration

property MaxValue: Extended;

Description

The MaxValue limits the maximum range for numeric entries.  Default is zero, and will not check limits.


Methods
Standard Methods

No new Methods

See Delphi Help for TMaskEdit


MinValue property

Applies To

TrsSuperEdit

Declaration

property MinValue: Extended;

Description

The MinValue limits the minimum range for numeric entries.  Default is zero, and will not check limits.


Properties
New Properties         Access Properties

Alignment                   VReal

Format                       VSingle

Value                         VDouble

MinValue                    VShortint

MaxValue                   VSmallint

RoundValue                VLongint

Decimals                    VDate

Digits                         VTime

ShowZero                   Locator

ShowGray                  LocColor

Epoch

Text

Standard Properties

AutoSelect                 ParentColor

AutoSize                    ParentCtl3D

MaxLength                 ParentFont

BorderStyle                PasswordChar

CharCase                   PopupMenu

Color                          ReadOnly

Ctl3D                         ShowHint

DragCursor                 TabOrder

DragMode                  TabStop

Enabled                     Visible

Font                          ParentShowHint


Registering the Shareware Version

If you are evaluating a trial edition of this product,

you may register on Compuserve, or the internet.

Source code for components is always included.

Product: TrsSuperEdit

Price (US): $25.00

CIS Reg: 14094


RoundValue property

Applies To

TrsSuperEdit

Declaration

property RoundValue: boolean;

Description

The RoundValue property, when set to true will round the Numeric value using Digits and Decimals properties.  The rsSuperEdit uses custom rounding procedures to ensure more accurate rounding.


TrsDBSuperEdit


ShowGray property

Applies To

TrsSuperEdit

Declaration

property ShowGray: boolean;

Description

The ShowGray property, when set to true, will fill the rsSuperEdit Gray when Disabled or ReadOnly.


ShowZero property

Applies To

TrsSuperEdit

Declaration

property ShowZero: boolean	;

Description

The ShowZero property, when set to true, will not display Numeric Zero values, and will instead show a blank Edit Box.


Standard Properties
See Delphi Help for TMaskEdit.


Text property

Applies To

TrsSuperEdit

Declaration

property Text: String;

Description

The Text property is used to set non-numeric values.  You are not required to use mask characters when setting the Text.


TrsDBSuperEdit Component

See Also       Properties

Unit

rsEdit

Description

The TrsDBSuperEdit component from RealSoft is a multipurpose masked edit control with added database support.  It includes special handling for Text, Real, Integer, Dollar, Percent, Date, Time, Phone and more.

The TrsDBSuperEdit is a direct descendant of a TrsSuperEdit with added BDE support.  It can be connected to any Delphi datasource and table components like a standard TDBEdit.  Masks in the DB Table should not be used as they may override the masks of the DBSupredit itself.


TrsSuperEdit Component

See Also      Properties       Methods       Events

Unit

rsEdit

Description

The TrsSuperEdit component from RealSoft is a multipurpose masked edit control.  It includes special handling for Text, Real, Integer, Dollar, Percent, Date, Time, Phone and more.  The numeric values can be right justified, even while editing.  ReadOnly or Disabled edit can be made gray.  In addition, rsSuperEdit provides easy access properties to multiple data types.

To use an rsSuperEdit, first select it from your component palette, and drop it onto a form.  Next, set the Format property to the desired format.  The default Format is foText, which functions like a standard Edit control.  For Numeric formats, you can set an initial value using the Value property.  To hide zero values, set the ShowZero property to false.  To limit the range of values the user can enter, seyt the MinValue and MaxValue properties.  To use rounding, set the RoundValue property to true. An Epoch property was added for post year-2000 compatibility.

Registering the trial version

Copyright 1997 RealSoft Development

Support: www.realsoftdev.com


Value property

Applies To

TrsSuperEdit

Declaration

property Value: Extended

Description

The Value property is used to set all Numeric Values.  You can specify Minimum and Maximum limits using properties.  Dates can also be set as Numeric, since a TDateTime (Delphi Date) is actually a Real Type.